libnvme(2)

NAME
struct nvme_ns_mgmt_args - Arguments for NVMe Namespace Management command

SYNOPSIS
struct nvme_ns_mgmt_args {
__u32 *result;
struct nvme_id_ns *ns;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
enum nvme_ns_mgmt_sel sel;
__u8 csi;
__u8 rsvd1[3];
void *rsvd2;
struct nvme_ns_mgmt_host_sw_specified *data;
};

Members

result
    NVMe command result

ns  Namespace identification descriptors

args_size
    Size of struct nvme_ns_mgmt_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace identifier

sel Type of management operation to perform

csi Command Set Identifier

rsvd1
    Reserved

rsvd2
    Reserved

data
    Host Software Specified Fields